## Rotare - Documentation

This repository contains the complete documentation related to
[**Rotare**][rotare-repo], a feature-rich and open-source implementation of the
Blade Element Momentum Theory in MATLAB.

## Documentation

The documentation is separated in two distinct parts.

### User manual

The user manual focuses on the practical aspects of the software. It details the
requirements, the install process, the setup of the configuration file and the
analysis of the results. It also contains a small troubleshooting guide to help
user resolve the most common issues.

### Technical documentation

The technical documentation is a complete description of the code architecture
and the methodology implemented. It also contains a very detailed mathematical
description of the solvers implemented and of the models used to extend and
correct the base methodology. This technical part also comes with the
presentation of many validation cases.

## Other

An abstract was submitted for the presentation of Rotare during the [AIAA
SciTech 2023 forum][aiaa-scitech] at National Harbor, MD (USA). It is currently
in review by the conference committee.

## License

The present documentation is provided under the [CC-BY-SA-4.0] license. Please
refer to the [Notice](Notice) for the licensing information of the different
packages present in this repository.

The Rotare Software is provided under the [Apache-2.0] license.

[aiaa-scitech]: https://www.aiaa.org/SciTech
[rotare-repo]: https://gitlab.uliege.be/thlamb/rotare
[Apache-2.0]: licenses/Apache-2.0.md
[CC-BY-SA-4.0]: https://creativecommons.org/licenses/by-sa/4.0/
